| Disk ARchive 2.7.14 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::generic_file_overlay_for_gpgme Class Reference
Private

generic_file interface for for gpgme More...

`#include <generic_file_overlay_for_gpgme.hpp>`

## Public Member Functions
| generic_file_overlay_for_gpgme (generic_file *f)
| create a gpgme data buffer of the given generic_file
| generic_file_overlay_for_gpgme (const generic_file_overlay_for_gpgme &ref)=delete
| no copy constructor allowed
| generic_file_overlay_for_gpgme (generic_file_overlay_for_gpgme &&re) noexcept=delete
| no move constructor allowed
generic_file_overlay_for_gpgme & | operator= (const generic_file_overlay_for_gpgme &ref)=delete
| no asignment operator
generic_file_overlay_for_gpgme & | operator= (generic_file_overlay_for_gpgme &&ref) noexcept=delete
| no move operator

## Detailed Description

generic_file interface for for gpgme

Definition at line 46 of file generic_file_overlay_for_gpgme.hpp.

## Constructor & Destructor Documentation

## ◆ generic_file_overlay_for_gpgme()

libdar::generic_file_overlay_for_gpgme::generic_file_overlay_for_gpgme | ( | generic_file * | f | ) |

create a gpgme data buffer of the given generic_file

Parameters

  [in] | f | is a pointer to an existing generic_file that must exist during the whole live of this overlay object

The documentation for this class was generated from the following file:

- generic_file_overlay_for_gpgme.hpp